*{
    margin: 0;
    padding: 0;
    font-family: 'Poppins',sans-serif;
    box-sizing: border-box;
}

html{
    scroll-behavior: smooth;
}

body{
    background: #080808;
    color: #fff;
}

#header{
    width: 100%;
    height: 100vh;
    background-image: url(images/background.png);
    background-size: cover;
    background-position: center;
}

#sidemenu li{
   
}


.container{
    padding: 10px 10%;
}

.container h1{
   font-size: 30px;
   font-weight: 200;
}
 
nav{
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
}

.logo{
    width: 140px;
    height: 100px;
}

nav ul li{
    display:inline-block;
    list-style: none;
    margin: 10px 20px;
}

nav ul li a{
    color:#fff;
    text-decoration: none;
    font-size: 18px;
    position: relative;
}

nav ul li a::after{
    content: '';
    width: 0;
    height: 3px;
    background: #ff004f;
    position: absolute;
    left: 0;
    bottom: -6px;
    transition: 0.5s;
}

nav ul li a:hover::after{
   width: 100%;
}

.header-text{
    margin-top: 20%;
    font-size: 30px;
}

.header-text h1{
   font-size: 60px;
   margin-top: 20px;
}

.header-text h1 span{
    color: #ff004f;
}

/* Social Media Icon Styling */

.wrapper{
    position: absolute;
    display: flex;
    flex-direction: column;
    left: 10px;
}

.wrapper .icon{
    margin:10px;
    text-align: center;
    cursor: pointer;
    display: flex;
    /* align-items: center; */
    /* justify-content: center; */
    flex-direction: column;
    position: relative;
    z-index: 2;
    transition: 0.4s cubic-bezier(0.68, -0.55, 0.265, 1.55);
  
}

.wrapper .icon span{
    display: block;
    height: 60px;
    width: 60px;
    background: rgb(41, 30, 30);
    border-radius: 50%;
    position: relative;
    z-index: 2;
    box-shadow: 0px 10px 10px rgba(0,0,0,0.1);
    transition: 0.4s cubic-bezier(0.68, -0.55, 0.265, 1.55);
  }

.wrapper .icon span i{
    line-height: 60px;
    font-size: 25px;
}

.myData{
    margin-top: 140px;
}

.wrapper .icon .tooltip{
    position: absolute;
    top: 0;
    z-index: 1;
    background: #fff;
    color: #fff;
    padding: 10px 18px;
    font-size: 20px;
    font-weight: 500;
    border-radius: 25px;
    opacity: 0;
    pointer-events: none;
    box-shadow: 0px 10px 10px rgba(0,0,0,0.1);
    transition: 0.4s cubic-bezier(0.68, -0.55, 0.265, 1.55);
  }
  .wrapper .icon:hover .tooltip{
    top: -70px;
    opacity: 1;
    pointer-events: auto;
  }
  .icon .tooltip:before{
    position: absolute;
    content: "";
    height: 15px;
    width: 15px;
    background: #fff;
    left: 50%;
    bottom: -6px;
    transform: translateX(-50%) rotate(45deg);
    transition: 0.4s cubic-bezier(0.68, -0.55, 0.265, 1.55);
  }
  .wrapper .icon:hover span{
    color: #fff;
  }
  .wrapper .icon:hover span,
  .wrapper .icon:hover .tooltip{
    text-shadow: 0px -1px 0px rgba(0,0,0,0.4);
  }
  .wrapper .facebook:hover span,
  .wrapper .facebook:hover .tooltip,
  .wrapper .facebook:hover .tooltip:before{
    background: #3B5999;
  }
  .wrapper .twitter:hover span,
  .wrapper .twitter:hover .tooltip,
  .wrapper .twitter:hover .tooltip:before{
    background: #46C1F6;
  }
  .wrapper .linkedin:hover span,
  .wrapper .linkedin:hover .tooltip,
  .wrapper .linkedin:hover .tooltip:before{
    background: blue;
  }
  .wrapper .github:hover span,
  .wrapper .github:hover .tooltip,
  .wrapper .github:hover .tooltip:before{
    background: #333;
  }
  .wrapper .whatsapp:hover span,
  .wrapper .whatsapp:hover .tooltip,
  .wrapper .whatsapp:hover .tooltip:before{
    background: #25d366;
  }
  /* Social Media Icon Styling Ends here */


/* About Section CSS */

#about{
    padding: 80px 0;
    color: #ababab;
}

.row{
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.about-col-1{
    flex-basis: 35%; 
}

.about-col-1 img{
    width: 100%;
    border-radius: 15px;
}

.about-col-2{
    flex-basis: 60%;
}
.sub-title{
    font-size: 60px;
    font-weight: 600;
    color: #fff;
}

.tab-titles{
    display: flex;
    margin: 20px 0 40px;
}

.tab-links{
    margin-right: 50px;
    font-size: 18px;
    font-weight: 500;
    cursor: pointer;
    position: relative;
}

.tab-links::after{
    content: '';
    width: 0;
    height: 3px;
    background: #ff004f;
    position: absolute;
    left: 0;
    bottom: -8px;
    transition:0.5s;
}

.tab-links.active-link::after{
      width: 50%;
}

.tab-contents ul li{
    list-style: none;
    margin: 10px 0;
}

.tab-contents ul li span{
    color: #b54769;
    font-size: 18px;
}

.tab-contents {
    display: none;
}

.tab-contents.active-tab{
    display:block;
}

/* My Services CSS starts here */

.services-list{
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(250px,1fr));
    grid-gap: 40px;
    margin-top: 50px;
}

.services-list div{
    background-color: #262626;
    padding: 40px;
    font-size: 15px;
    font-weight: 300;
    border-radius: 10px;
    transition: background 0.5s,transform 0.5s;
}

.services-list div i{
    font-size: 50px;
    margin-bottom: 30px;
}

.services-list div h2{
    font-size: 30px;
    font-weight: 500;
    margin-bottom: 15px;
}

.services-list div a{
    text-decoration: none;
    color: #fff;
    font-size: 12px;
    margin-top: 20px;
    display: inline-block;
}

.services-list div:hover{
    background:#ff004f;
    transform: translateY(-10px);
}
/* My Work CSS */
.portfolio{
   padding: 50px 0;
}

.work-list{
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(330px,1fr));
    grid-gap: 40px;
    margin-top: 50px;
}

.work{
    border-radius: 10px;
    position: relative;
    overflow: hidden;
}

.work img{
    object-position: center;
    width: 100%;
    height: 400px;
    font-size: small;
    border-radius: 10px;
    display: block;
    transition: transform 0.5s;
}

.layer{
    width: 100%;
    height: 0;
    background: linear-gradient(rgba(0,0,0,0.6),#ff004f);
    border-radius: 10px;
    position: absolute;
    left: 0;
    bottom: 0;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 0 40px;
    text-align: center;
    font-size: 14px;
    transition: height 0.5s;
}

.layer h3{
    font-weight: 500;
    margin-bottom: 20px;
}

.layer a{
    margin-top: 20px;
    color: #ff004f;
    text-decoration: none;
    font-size: 18px;
    line-height: 60px;
    background: #fff;
    width: 60px;
    height: 60px;
    border-radius: 50%;
    text-align: center;
}

.work:hover img{
   transform: scale(1.1);
}

.work:hover .layer{
    height: 100%;
}

.btn{
    display: block;
    margin: 50px auto;
    width: fit-content;
    border: 1px solid #ff004f;
    padding: 14px 50px;
    border-radius: 6px;
    text-decoration: none;
    color: #fff;

    box-shadow: none;
    background: transparent;
    transform-style: preserve-3d;
}


/* Contact Form CSS */
.contact-left{
  flex-basis: 35%;
}

.contact-right{
  flex-basis: 60%;
}

.contact-left p{
    margin-top: 30px;
}

.contact-left p i{
    color: #ff004f;
    margin-right:15px;
    font-size: 25px;
}

.social-icons{
    margin-top: 30px;
}

.social-icons a{
    text-decoration: none;
    font-size: 30px;
    margin-right: 15px;
    color: #ababab;
    display: inline-block;
    transition: transform 0.5s;
}

.social-icons a:hover{
    color: #ff004f;
    transform: translateY(-5px);
}

.btn.btn2{
    display: inline-block;
    background-color: #ff004f;
}

.contact-right form{
    width: 100%;
}

form input, form textarea{
    width: 100%;
    border: 0;
    outline:none;
    background: #262626;
    padding: 15px;
    margin: 15px 0;
    color: #fff;
    font-size: 18px;
    border-radius: 6px;
}

form .btn2{
    padding: 14px 60px;
    font-size: 18px;
    margin-top: 20px;
    cursor: pointer;
}

.copyright{
    width: 100%;
    text-align: center;
    padding: 25px 0;
    background: #262626;
    font-weight: 300;
    margin-top: 20px;
}

.copyright i{
    color: #ee0606;
}

/* CSS For MAking Responsive for small screens */

nav .fas{
    display: none;
}
@media only screen and (max-width:800px){
    #header{
        background-image: url(images/phone-background.png);
    }
    .header-text{
        margin-top: 100%;
        font-size: 16px;
    }
    .header-text h1{
        font-size: 30px;
    }
    nav .fas{
        display: block;
        font-size: 25px;
    }
    nav ul{
        background: #ff004f;
        /* This Nav side baar need to be checked why its taking extra space at extra left  */
        position: absolute; 
        top: 0;
        right: -200px;
        width: 200px;
        height: 100vh;
        padding-top: 50px;
        z-index: 2;
        transition: right 0.5s;
    }
    nav ul li{
        display: block;
        margin: 25px;
    }
    nav ul .fas{
        position: absolute;
        top: 25px;
        left: 25px;
        cursor: pointer;
    }
    .sub-title{
        font-size: 40px;
    }
    .about-col-1, .about-col-2{
        flex-basis: 100%;
    }
    .about-col-1{
        margin-bottom: 30px;
    }
    .about-col-2{
        font-size: 14px;
    }
    .tab-links{
        font-size: 16px;
        margin-right: 20px;
    }
    .contact-left, .contact-right{
        flex-basis: 100%;
    }
    .copyright{
        font-size: 14px;
    }
}

#msg{
    color: #61b752;
    margin-top: -40px;
    display: block;
}

* { color:#fff; text-decoration: none;}

.section{
    padding: 100px 0;
}
section .title{
    position: relative;
    text-align: center;
    font-size: 40px;
    font-weight: 500;
    margin-bottom: 20px;
    margin-left: 18px;
    padding-bottom: 20px;
    font-family: 'Ubuntu',sans-serif;
}

.section .title::before{
    content: '';
    position: absolute;
    bottom: 0px;
    left: 50%;
    width: 180px;
    height: 3px;
    background: #111;
    transform: translateX(-50%);
}

.section .title::after{
    position: absolute;
    bottom: -12px;
    left: 50%;
    font-size: 20px;
    color: crimson;
    padding: 5px;
    background: #fff;
    transform: translateX(-50%);
}

.max-width .title{
    font-size: 40px;
    width:fit-content;
    border-bottom: 3px solid white;
    display: flex;
}


.btn:hover {
    box-shadow: 0px 0px 30px rgba(0,0,0, 0.6);
    cursor: pointer;
  }

/* skills section */
.containers {
    width: 60%; /* Full width */
    background-color: #ddd; /* Grey background */
  }
  
  .skills {
    text-align:justify; /* Right-align text */
    /* Add top padding */
    padding-bottom: 5px; /* Add bottom padding */
    color: white; /* White text color */
    padding-top: 5px;
  }
  
  .html {width: 95%; background-color: #f3452a;} 
  .css {width: 85%; background-color: #2196F3;} 
  .js {width: 80%; background-color: #f2e30d;} 
  .ts {width: 75%; background-color: #031cff;} 
  .btr {width: 60%; background-color: #563d7c;}
  .ang {width: 70%; background-color: #B52E31;} 
  .ui {width: 25%; background-color: #808080;} 

  .column-right p{
    padding:5px;
  }

.images img{
    width: 120px;
    height: 120px;
    position: absolute;
}

.column-right-container{
    width: 350px;
    height: 200px;
    position: relative;
    margin-top: 5%;
    margin-left: 40%;
    perspective: 7000px;
    transform-style: preserve-3d;
    /* transform: rotate(-10deg) rotateZ(-10deg); */
    animation: ror 20% linear infinite;
}
@keyframes ror{
    50%{
        transform: rotateX(30deg);
    }
    80%{
        transform: rotateX(-30deg);
    }
}

.images{
    width: 100%;
    position: absolute;
    transform-style: preserve-3d;
    animation: rotate 20s linear infinite;
}

@keyframes rotate{
    from{
        transform: rotateY(0deg);
    }
    to{
        transform: rotateY(480deg);
    }
}

.images img:nth-child(0){
    transform: rotateY(0deg) translateZ(300px);
}
.images img:nth-child(1){
    transform: rotateY(60deg) translateZ(300px);
}
.images img:nth-child(2){
    transform: rotateY(120deg) translateZ(300px);
}
.images img:nth-child(3){
    transform: rotateY(180deg) translateZ(300px);
}
.images img:nth-child(4){
    transform: rotateY(240deg) translateZ(300px);
}
.images img:nth-child(5){
    transform: rotateY(300deg) translateZ(300px);
}
.images img:nth-child(6){
    transform: rotateY(360deg) translateZ(300px);
}
.images img:nth-child(7){
    transform: rotateY(420deg) translateZ(300px);
}
.images img:nth-child(8){
    transform: rotateY(480deg) translateZ(300px);
}
.images img:hover{
    width: 200px;
    height: 200px;
    cursor: pointer;
}

/* .skills-content{
    display: flex;
} */



.column-rright h1 {
    margin:0;
    padding:16px;
    width:auto;
    text-align: center;
    background:#000;
    color:#ecf0f1;
    text-transform: uppercase;
    font-size:24px;
    letter-spacing: 16px;
    font-weight: 300;
  }
  
.column-rright  h2 {
    text-transform: uppercase;
    font-size: 18px;
    letter-spacing: 4px;
    padding: 8px;
    border-bottom: 2px solid #c0c0c0;
    text-align: center;
  }
  
  .expertise {
    margin-top: 16px; 
    align-items: center;
    justify-content: center;
    width:200px;
    height: 150px;
    /* padding: 10px; */
    border-radius: 50%;
    box-shadow: 0 2px 20px 0 rgba(122, 122, 122, 0.5);
  }


  .column-rright{
    margin-top: 40px;
    width: 100%;
  }

  .expertise-container{
    display: flex;
  }

  .expertise-container .language{
    padding: 20px;
    width: 100%;
  }


   .expertise{
    margin-left: 60px;
   }
  
  .javascript {
    background:conic-gradient(#ff9000 75%, #fff 0);
  }
  
  .python {
    background:conic-gradient(#ff9000 80%, #fff 0);
  }
  
  .C {
    background:conic-gradient(#ff9000 95%, #fff 0);
  }

  .java {
    background:conic-gradient(#ff9000 40%, #fff 0);
  }

  .myData .btn2{
    margin: 10px;
  }
  


  @media(max-width:720px) {

    .header-text h1{
        font-size: 22px;
    }

    .wrapper .icon{
       height: 35px;
    }

    .myData{
        margin-top: 10px;
    }

    .tooltip{
        width: 5px;
    }

    .expertise-container {
      display: grid;
      justify-content: space-around;     
      /* max-width: 700px; */
      grid-template-rows: repeat(4,0.5fr);
      align-items: center;      
    }

    .header-text {
        margin-top: 130%;
        font-size: 16px;
    }

    .wrapper{
        top: 15%;
    }
    /* .myData .btn .btn2{
       
    } */

    .expertise{
        margin-right: 60px;
       }

    .skills-content .column-left{
       display: flex;
       flex-direction: column;
    }

   .column-left .chartBox{
    font-size: 2px;
    font-weight: 50;
   }

   .containers{
    width: auto;
    margin:5px ;
   }

  /* .column-right-container{
    
  }  */

   /* .expertise-container div{
    width: 100%;
   }
     */
     .chartBox{
        margin-top: 50px;
        width: 350px;
     }
  }

  /*--------------------Chart.js Styling-----------------------------------*/

  /* .chartBox{
    width: 400px;
  } */




  
